Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.ioc.resources
Class TopLevelConfigurationContext

    java.lang.Object
      com.servingxml.util.system.AbstractRuntimeContext
          com.servingxml.ioc.resources.AbstractConfigurationContext
              com.servingxml.ioc.resources.TopLevelConfigurationContext

All Implemented Interfaces:
  ConfigurationContext, RuntimeContext

Direct Known Subclasses:
  RootConfigurationContext

    public class TopLevelConfigurationContext

extends AbstractConfigurationContext

Root configuration context.

Constructor Summary
`TopLevelConfigurationContext(AbstractConfigurationContext parent, org.w3c.dom.Document document, ResourceTable resourceTable)`
`TopLevelConfigurationContext(org.w3c.dom.Document document, MutableNameTable nameTable, ComponentDictionary componentDictionary, java.lang.String base, ResourceTable resourceTable, Record parameters)`

Method Summary
`org.w3c.dom.Document` | `getDocument()`
`javax.xml.transform.sax.SAXTransformerFactory` | `getTransformerFactory()`

Methods inherited from class com.servingxml.ioc.resources.AbstractConfigurationContext
`createInstance, createInstance, createName, getAppName, getComponentDictionary, getConfigurationComponent, getElement, getNamespaceUri, getNameTable, getParameters, getParent, getQnameContext, getResourceTable, getServiceComponent, getServiceComponent, getServiceComponent, getServiceComponentOrDefault, getUser`

Methods inherited from class com.servingxml.util.system.AbstractRuntimeContext
`error, notice, printStackTrace, trace, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.ioc.components.ConfigurationContext
`trace`

Methods inherited from interface com.servingxml.util.system.RuntimeContext
`error, notice, printStackTrace, warning`

Constructor Detail

### TopLevelConfigurationContext

    public TopLevelConfigurationContext(org.w3c.dom.Document document,
                                        MutableNameTable nameTable,
                                        ComponentDictionary componentDictionary,
                                        java.lang.String base,
                                        ResourceTable resourceTable,
                                        Record parameters)

### TopLevelConfigurationContext

    public TopLevelConfigurationContext(AbstractConfigurationContext parent,
                                        org.w3c.dom.Document document,
                                        ResourceTable resourceTable)

Method Detail

### getDocument

    public org.w3c.dom.Document getDocument()

  Specified by:
    `getDocument` in interface `ConfigurationContext`
  Overrides:
    `getDocument` in class `AbstractConfigurationContext`

### getTransformerFactory

    public javax.xml.transform.sax.SAXTransformerFactory getTransformerFactory()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD